﻿@using UsingViewsAndModels_LeoSkadden.Models
@model IEnumerable<UsingViewsAndModels_LeoSkadden.Models.Customer>

@{
	Layout = null;
}

<!DOCTYPE html>

<html>
<head>
	<meta name="viewport" content="width=device-width"/>
	<title>CustomerView</title>
</head>
<body>
<p>
	@Html.ActionLink("Create New", "Create")
</p>
<table class="table">
	<tr>
		<th>
			@Html.DisplayNameFor(model => model.FirstName)
		</th>
		<th>
			@Html.DisplayNameFor(model => model.LastName)
		</th>
		<th>
			@Html.DisplayNameFor(model => model.Address)
		</th>
		<th>
			@Html.DisplayNameFor(model => model.City)
		</th>
		<th>
			@Html.DisplayNameFor(model => model.State)
		</th>
		<th>
			@Html.DisplayNameFor(model => model.Zip)
		</th>
		<th>
			@Html.DisplayNameFor(model => model.Phone)
		</th>
		<th>
			@Html.DisplayNameFor(model => model.Login)
		</th>
		<th>
			@Html.DisplayNameFor(model => model.Password)
		</th>
		<th>
			@Html.DisplayNameFor(model => model.BirthDate)
		</th>
		<th>
			@Html.DisplayNameFor(model => model.Comments)
		</th>
		<th>
			@Html.DisplayNameFor(model => model.PurchasesToDate)
		</th>
		<th></th>
	</tr>

	@foreach ( Customer item in Model )
	{
		<tr>
			<td>
				@Html.DisplayFor(modelItem => item.FirstName)
			</td>
			<td>
				@Html.DisplayFor(modelItem => item.LastName)
			</td>
			<td>
				@Html.DisplayFor(modelItem => item.Address)
			</td>
			<td>
				@Html.DisplayFor(modelItem => item.City)
			</td>
			<td>
				@Html.DisplayFor(modelItem => item.State)
			</td>
			<td>
				@Html.DisplayFor(modelItem => item.Zip)
			</td>
			<td>
				@Html.DisplayFor(modelItem => item.Phone)
			</td>
			<td>
				@Html.DisplayFor(modelItem => item.Login)
			</td>
			<td>
				@Html.DisplayFor(modelItem => item.Password)
			</td>
			<td>
				@Html.DisplayFor(modelItem => item.BirthDate)
			</td>
			<td>
				@Html.DisplayFor(modelItem => item.Comments)
			</td>
			<td>
				@Html.DisplayFor(modelItem => item.PurchasesToDate)
			</td>
			<td>
				@Html.ActionLink("Edit", "Edit", new {/* id=item.PrimaryKey */}) |
				@Html.ActionLink("Details", "Details", new {/* id=item.PrimaryKey */}) |
				@Html.ActionLink("Delete", "Delete", new {/* id=item.PrimaryKey */})
			</td>
		</tr>
	}

</table>
</body>
</html>